jQuery(document).ready(function($){

    $(document).on('click', '#summer-camp-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'summer_camp_dismiss_notice'
            }
        });

    });

});